> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# Query Jurisdiction Overrides

GET https://rest.avatax.com/api/v2/jurisdictionoverrides

> **Access control:** this endpoint is available to users with the `everyone` role.

Get multiple jurisdiction override objects across all companies.
            
A Jurisdiction Override is a configuration setting that allows you to select the taxing
jurisdiction for a specific address.  If you encounter an address that is on the boundary
between two different jurisdictions, you can choose to set up a jurisdiction override
to switch this address to use different taxing jurisdictions.
            
Search for specific objects using the criteria in the `$filter` parameter; full documentation is available on [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/) .
Paginate your results using the `$top`, `$skip`, and `$orderby` parameters.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.


Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax/public-reference/query-jurisdiction-overrides

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `$filter` (string, optional) — A filter statement to identify specific records to retrieve. For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* country, Jurisdictions
- `$include` (string, optional) — A comma separated list of additional data to retrieve.
- `$top` (integer, optional) — If nonzero, return no more than this number of results. Used with `$skip` to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
- `$skip` (integer, optional) — If nonzero, skip this number of results before returning data. Used with `$top` to provide pagination for large datasets.
- `$orderBy` (string, optional) — A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`.

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 26.7.0; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) .

## Response

### 200

Success

- `@recordsetCount` (integer, optional)
- `value` (list of JurisdictionOverrideModel, optional)
- `@nextLink` (string, optional)
- `pageKey` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not Found

- `any`

## Types

### JurisdictionOverrideModel

Represents an override of tax jurisdictions for a specific address. During the time period represented by EffDate through EndDate, all tax decisions for addresses matching this override object will be assigned to the list of jurisdictions designated in this object.

- `description` (string, required) — A description of why this jurisdiction override was created.
- `region` (string, required) — Name or ISO 3166 code identifying the region within the country to be affected by this override. Note that only United States addresses are affected by the jurisdiction override system. This field supports many different region identifiers: * Two and three character ISO 3166 region codes * Fully spelled out names of the region in ISO supported languages * Common alternative spellings for many regions For a full list of all supported codes and names, please see the Definitions API `ListRegions`.
- `postalCode` (string, required) — The postal code of the physical location affected by this override.
- `jurisdictions` (list of JurisdictionModel, required) — A list of the tax jurisdictions that will be assigned to this overridden address.
- `taxRegionId` (integer, required) — The TaxRegionId of the new location affected by this jurisdiction override.
- `id` (integer, optional) — The unique ID number of this override.
- `accountId` (integer, optional) — The unique ID number assigned to this account.
- `line1` (string, optional) — The street address of the physical location affected by this override.
- `city` (string, optional) — The city address of the physical location affected by this override.
- `country` (string, optional) — The two character ISO-3166 country code of the country affected by this override. Note that only United States addresses are affected by the jurisdiction override system.
- `effectiveDate` (date, optional) — The date when this override first takes effect. Set this value to null to affect all dates up to the end date.
- `endDate` (date, optional) — The date when this override will cease to take effect. Set this value to null to never expire.
- `createdDate` (datetime, optional) — The date when this record was created.
- `createdUserId` (integer, optional) — The User ID of the user who created this record.
- `modifiedDate` (datetime, optional) — The date/time when this record was last modified.
- `modifiedUserId` (integer, optional) — The user ID of the user who last modified this record.
- `boundaryLevel` (enum, optional) — The boundary level of this override
  - Allowed values: `Address`, `Zip9`, `Zip5`
- `isDefault` (boolean, optional) — True if this is a default boundary

### JurisdictionModel

Represents information about a single legal taxing jurisdiction

- `code` (string, required) — The code that is used to identify this jurisdiction
- `name` (string, required) — The name of this jurisdiction
- `type` (enum, required) — The type of the jurisdiction, indicating whether it is a country, state/region, city, for example.
  - Allowed values: `Country`, `State`, `County`, `City`, `Special`
- `signatureCode` (string, required) — The Avalara-supplied signature code for this jurisdiction.
- `rate` (double, optional) — The base rate of tax specific to this jurisdiction.
- `salesRate` (double, optional) — The "Sales" tax rate specific to this jurisdiction.
- `region` (string, optional) — Name or ISO 3166 code identifying the region within the country. This field supports many different region identifiers: * Two and three character ISO 3166 region codes * Fully spelled out names of the region in ISO supported languages * Common alternative spellings for many regions For a full list of all supported codes and names, please see the Definitions API `ListRegions`.
- `useRate` (double, optional) — The "Seller's Use" tax rate specific to this jurisdiction.
- `city` (string, optional) — The city name of this jurisdiction
- `county` (string, optional) — The county name of this jurisdiction
- `country` (string, optional) — Name or ISO 3166 code identifying the country of this jurisdiction. This field supports many different country identifiers: * Two character ISO 3166 codes * Three character ISO 3166 codes * Fully spelled out names of the country in ISO supported languages * Common alternative spellings for many countries For a full list of all supported codes and names, please see the Definitions API `ListCountries`.
- `shortName` (string, optional) — A short name of the jurisidiction
- `stateFips` (string, optional) — State FIPS code
- `countyFips` (string, optional) — County FIPS code
- `placeFips` (string, optional) — City FIPS code
- `id` (integer, optional) — Unique AvaTax Id of this Jurisdiction
- `effectiveDate` (datetime, optional) — The date this jurisdiction starts to take effect on tax calculations
- `endDate` (datetime, optional) — The date this jurisdiction stops to take effect on tax calculations
- `isAcm` (boolean, optional) — The isAcm specific to this jurisdiction.
- `isSst` (boolean, optional) — The isSst specific to this jurisdiction.
- `createDate` (datetime, optional) — The CreateDate specific to this jurisdiction.
- `isLocalAdmin` (boolean, optional) — IsLocalAdmin.
- `modifiedDate` (datetime, optional) — ModifiedDate
- `taxAuthorityTypeId` (integer, optional) — TaxAuthorityTypeId.

## Examples

**Response**

```json
{
  "@recordsetCount": 1,
  "value": [
    {
      "description": "a test JO",
      "region": "CA",
      "postalCode": "92618",
      "jurisdictions": [
        {
          "code": "075",
          "name": "LAWRENCE",
          "type": "Country",
          "signatureCode": "string",
          "rate": 1.1,
          "salesRate": 1.1,
          "region": "AR",
          "useRate": 1.1,
          "city": "string",
          "county": "LAWRENCE",
          "country": "US",
          "shortName": "LAWRENCE",
          "stateFips": "05",
          "countyFips": "075",
          "placeFips": "string",
          "id": 5075,
          "effectiveDate": "1999-09-01T00:00:00",
          "endDate": "9999-12-31T00:00:00",
          "isAcm": true,
          "isSst": true,
          "createDate": "2024-01-15T09:30:00Z",
          "isLocalAdmin": true,
          "modifiedDate": "0001-01-01T00:00:00",
          "taxAuthorityTypeId": 1
        }
      ],
      "taxRegionId": 0,
      "id": 0,
      "accountId": 0,
      "line1": "5500 Irvine Center Dr",
      "city": "Irvine",
      "country": "US",
      "effectiveDate": "2006-08-01T00:00:00",
      "endDate": "2099-01-12T00:00:00",
      "createdDate": "2024-01-15T09:30:00Z",
      "createdUserId": 0,
      "modifiedDate": "2024-01-15T09:30:00Z",
      "modifiedUserId": 0,
      "boundaryLevel": "Address",
      "isDefault": true
    }
  ],
  "@nextLink": "string",
  "pageKey": "string"
}
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/jurisdictionoverrides"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/jurisdictionoverrides';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/jurisdictionoverrides"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/jurisdictionoverrides")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/jurisdictionoverrides")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/jurisdictionoverrides', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/jurisdictionoverrides");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/jurisdictionoverrides")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```